package com.dbs.mplus.fatima.framework.processor.msg;

import com.dbs.mplus.fatima.framework.MPlusFrameworkConstants;

import java.util.Map;

/**
 * 메시지 처리기
 * Created by aple on 2015. 7. 27..
 */
public interface Message {
    /**
     * 메시지 타입
     * @return
     */
    MPlusFrameworkConstants.MSG_TYPE getType();
    /**
     * 처리할 명령
     * @return
     */
    MPlusFrameworkConstants.MSG_FUNCTION_TYPE getFunction();
    /**
     * 명령처리에 필요한 값들
     * optional임
     * @return
     */
    Map<String, String> getValueMap();
}
